# $Id: wordpress.spec,v 1.5 2008/04/02 15:04:00 slords Exp $
# Authority: dungog
# Name: Stephen Noble

%define name wordpress
%define version 2.6.2
%define release 1
Summary: wordpress installed in /opt/wordpress
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.wordpress.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
AutoReqProv: no

%description
wordpress installed in /opt/wordpress

%changelog
* Mon Sep 29 2008 Stephen Noble <support@dungog.net> 2.6.2-1
- upstream release

* Thu Jan 17 2008 Stephen Noble <support@dungog.net> 2.3.2-1
- upstream release

* Sun Dec 09 2007 Stephen Noble <support@dungog.net> 2.3.1-1
- upstream release

* Fri Jul 06 2007 Stephen Noble <support@dungog.net> 2.2.1-1
- upstream release
- builds from unchanged .tar.gz

* Thu May 4 2006 Stephen Noble <support@dungog.net> 
- ./wp-admin/setup-config.php edit to chmod 0660
- permissions set
- [2.0.2-3]

* Sun Apr 23 2006 Stephen Noble <support@dungog.net>
- some themes and plugins added
- [2.0.2-2]

* Sat Apr 22 2006 Stephen Noble <support@dungog.net>
- initial release
- [2.0.2-1]

%prep
%setup -c -n %{name}

%build
#this lets you drop a .tar.gz in with the root of wordpress and it builds ok
mkdir -p root/opt
mv %{name} root/opt/
touch    root/opt/wordpress/.htaccess

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --dir '/opt/wordpress/wp-content' 'attr(755,www,www)' \
    --file '/opt/wordpress/index.php' 'attr(660,www,www)' \
    --file '/opt/wordpress/.htaccess' 'attr(660,www,www)' \
     > %{name}-%{version}-filelist
#echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}

%pre
%preun
%post

#this should be something else, just some, none ?
/bin/chown -R www.www /opt/wordpress/wp-content

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
